﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using GuideLibrary;
using Microsoft.Phone.Controls.Maps;
using System.Device.Location;
namespace CanaryGuide
{
    public partial class FichaLugarDeInteres : PhoneApplicationPage
    {
        public FichaLugarDeInteres()
        {
            InitializeComponent();
        }
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
           base.OnNavigatedTo(e);
           int id = int.Parse(NavigationContext.QueryString["id"]);
           this.DataContext = GestionGuide.Instance.LugaresDeInteres.First(lt => lt.Id == id);
            
           posicionMapa();
        }

        private void posicionMapa()
        {
            LugarDeInteres ldi = (LugarDeInteres) DataContext;
            GeoCoordinate loc = new GeoCoordinate(double.Parse(ldi.Latitud),double.Parse(ldi.Longitud));
            this.BingMap.Center = loc;
            this.BingMap.ZoomLevel = 11;
            Pushpin pin = new Pushpin();
            pin.Location = loc;
            BingMap.Children.Add(pin);



            if (Mobile.Instance.Coordenadas == null)
            {
                MessageBox.Show("No se puede acceder a su posicion");
                return;
            }
                Pushpin pinUser = new Pushpin();
                pinUser.Location = Mobile.Instance.Coordenadas.Location;
                BingMap.Children.Add(pinUser);
            
        }
    }
}