﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Device.Location;
using System.Device;
using System.Globalization;
namespace GuideLibrary
{
    public  class Mobile
    {
        static Mobile()
        {
            GeoCoordinateWatcher gpsWatcher = new GeoCoordinateWatcher();
            gpsWatcher.MovementThreshold = 20;
            gpsWatcher.PositionChanged += new EventHandler<GeoPositionChangedEventArgs<GeoCoordinate>>(gpsWatcher_PositionChanged);
            gpsWatcher.Start();
            _instance.Coordenadas = gpsWatcher.Position;
            
        }

        static readonly Mobile _instance = new Mobile();


        public static Mobile Instance
        {
            get
            {
                return _instance;
            }
        }

       public GeoPosition<GeoCoordinate> Coordenadas { get; set; }

     

       static void gpsWatcher_PositionChanged(object sender, GeoPositionChangedEventArgs<GeoCoordinate> e)
        {
           Mobile._instance.Coordenadas=e.Position;
        }
    }
}
