﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CoreLibrary.Datos.Modelo;
namespace CoreLibrary.Controlador.Tipo
{
     
    public class TBoolean :TipoBase
    {
       
        /// <summary>
        /// Crea una nueva instancia del tipo TBoolean
        /// </summary>
        /// <param name="ec"></param>
        /// <param name="pc"></param>
        /// <param name="valor"></param>
        public  TBoolean(Elemento ec, Propiedad pc, bool valor)
        {
            ValoresEP vc = new ValoresEP(ec, pc, valor);
            this.cargar(vc);
        }
        public TBoolean(ValoresEP vc)
        {
            this.cargar(vc);
        }
        public TBoolean(Elemento ec, Propiedad pc)
        {
            this.cargar(ec, pc);
        }

        protected TBoolean() { }


        #region MetodosEstaticos
        public static TBoolean Cargar(ValoresEP vep)
        {
            if (vep == null)
                return null;
            return new TBoolean(vep);

        }
        #endregion

        public bool ValorBooleano
        {
            get
            {
                //Se carga el tipo dinámico (bool) de la fuente (string) y se devuelve.
                bool boolean =(bool.Parse(ValoresEP.Valor));
                return boolean;
            }
            set
            {
                
                //se guarda el tipo como una cadena, aunque realmente es un boolean.
                ValoresEP.Valor= value.ToString();
                ValoresEP.guardarVEP();
            }
        }

      

     
    }
}
