﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CoreLibrary
{
   public  class CoreException:Exception
    {
        public const string CODNotFound = "El codigo de idioma no corresponde con ningun idioma en la base de datos.";
        public const string NameElementoReply = "Ya existe un elemento con ese nombre.";
        public const string NamePropiedadReply = "Ya existe una propiedad con ese nombre.";
        public const string NameCategoryReply = "Ya existe una categoria con ese nombre";
        public const string ValueReply = "Ya existe un registro con el elemento y la propiedad asociados.";
        public const string PropiedadCategoriaReply = "Ya existe la asociación de la categoría con la propiedad";
        public const string PropiedadCategoriaNotFound = "Esta categoria no contiene ninguna propiedad con este nombre.";
        public const string CategoriaPropiedadNotFound = "Esta propiedad no contiene ninguna categoria con este nombre.";
        public const string DireccionYaExisteParaInmueble = "Este inmueble ya tiene una direccion asociada";
        public const string IdiomaNull = "Para este tipo de filtro debe dar un valor al idioma";
        
        
       public CoreException(string mensaje):base(mensaje){}
    }
}