using System;

using MonoTouch.Foundation;
using MonoTouch.UIKit;
using MonoTouch.Dialog;
namespace CanaryGuideMT
{
	
	
	public delegate void ElementTapped(object sender);
	/// <summary>
	/// Element E. Clase que representa un elemento ocurrencia. Se tiene que implementar ya que a través de NSAction no se pueden pasar paramétros.
	/// Y se necesita saber qué texto ha sido solucionado.
	/// </summary>
	/// 
	public class ElementEO : StyledStringElement
		{
			
		public event ElementTapped ElementTappedHandle;
			
		public string CaptionText {get;set;} 
			public ElementEO(string caption):base(caption)
			{
			this.BackgroundColor=UIColor.Black;
			this.TextColor=UIColor.White;
			this.CaptionText = caption;
			}
		
			
			public override void Selected (DialogViewController dvc, UITableView tableView, NSIndexPath indexPath)
			{
				//Se desencadena el evento al tocar el botón.
				ElementTappedHandle(this);
				base.Selected (dvc, tableView, indexPath);
			}	
			
		}
}

