using System;
using System.Collections.Generic;

using MonoTouch.Dialog;
using MonoTouch.UIKit;
using MonoTouch.Foundation;
using MonoTouch.ObjCRuntime;

using CanaryGuideMT.Celda;

using GuideLibrary.Weather;


namespace CanaryGuideMT
{
	/// <summary>
	/// Root weather. Representa los datos de una sóla celda.
	/// </summary>
	public class RootWeather : StyledMultilineElement
	{
		private Tiempo t;
		private string _texto;
		private UIImage _img;
		public RootWeather (Tiempo t):base (null)
		{
			this.t=t;
			//Varia en funcion del idioma
			this._texto=string.Format(" {0} \n Min:{1} Max:{2} \n {3}",t.Dia,t.Min,t.Max,t.Condicion);
			this.Image=t.Icon;
			this.Caption=_texto;
			this.BackgroundColor = UIColor.GroupTableViewBackgroundColor;
					
		}
		
	  
	
	
	/*	public override UITableViewCell GetCell (UITableView tv)
		{
			var cell =(CustomCell) tv.DequeueReusableCell("CellWeather");
			if(cell==null)
				cell = (CustomCell)Runtime.GetNSObject(NSBundle.MainBundle.LoadNib("CustomCell",new CustomCell(),null).ValueAt(0));
			
			
			
			cell.addDataToCell(this._img,this._texto);
		
			return cell;
		}
		*/
	}
}

