﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CoreLibrary.Datos.Modelo;
using CoreLibrary.Literales;
using CoreLibrary.Datos;
using CoreLibrary.Controlador.Colecciones;
using GuideLibrary.Places;
using GuideLibrary.Weather;
using System.Threading;
using System.Resources;
namespace GuideLibrary
{
 

       public class GestionGuide
       {
           #region Singleton
        
            
           static readonly GestionGuide instance = new GestionGuide();
           static GestionGuide()
           {
            
           }
           GestionGuide()
           {
               cargar();


           //Se establece el idioma del usuario, si este existe en la base de datos.
               //Idioma idiomaActual = GestionDatos.Instance.Idiomas.FirstOrDefault(i => i.Cod.Equals(Thread.CurrentThread.CurrentCulture.Name.Substring(0, 2)));
          //     if(idiomaActual==null)
                   this.Cod="es";
             //  else
				//this.Cod =idiomaActual.Cod;
               
               this.GoogleWeather = new GoogleWeather();
               this.GooglePlaces = new GooglePlaces();






           }


           public static GestionGuide Instance
           {
               get
               {
                   return instance;
               }
           }


           #endregion
           #region Propiedades
       
           public List<string> FiltrosLugares
           {
               get;
               set;

           }
           public GoogleWeather GoogleWeather
           {
               get;
               set;
           }

          


           public GooglePlaces GooglePlaces
           {
               get;
               set;
           }

           public string Cod
           {
               get;
               set;
           }



           public List<LugarDeInteres> LugaresDeInteres
           {
               get {
                   this.FiltrosLugares = new List<string>();
                   return _lugaresDeInteres; }
               set { _lugaresDeInteres = value; }
           }

           #endregion
           #region Vars
           List<LugarDeInteres> _lugaresDeInteres;

           #endregion
           #region Metodos
           private void cargar()
           {
               this._lugaresDeInteres = new CoreList<LugarDeInteres>();


               Propiedad ludarDeInteres = GestionDatos.Instance[LGuide.LugarDeInteres][LGuide.LugarDeInteres];

               foreach (var elemento in GestionDatos.Instance.Elementos)
                   if (ludarDeInteres.asociadoAUnElemento(elemento))
                       _lugaresDeInteres.Add(LugarDeInteres.cargarFood(elemento));



               this.ToString();
           }
           #endregion
       }

    }

