﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using GuideLibrary;
using Microsoft.Phone.Tasks;
using Microsoft.Phone.Controls.Maps;
using System.Device.Location;
using GuideLibrary.Places;
using GuideLibrary;
namespace CanaryGuide
{
    public partial class FichaPlaces : PhoneApplicationPage
    {
        public FichaPlaces()
        {
            InitializeComponent();
        }
        
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);
            string reference = NavigationContext.QueryString["reference"];
            Place place =  GestionGuide.Instance.GooglePlaces.sitios.FirstOrDefault(p=>p.Reference.Equals(reference));
            this.DataContext = place;
            posicionMapa();
            this.gifImage.Source = place.Icon;

           
        }

        
        private void posicionMapa()
        {
            Place _place = (Place)this.DataContext;
            GeoCoordinate loc = new GeoCoordinate(double.Parse(_place.Latitud), double.Parse(_place.Longitud));
            this.BingMap.Center = loc;
            this.BingMap.ZoomLevel = 11;

            Pushpin pinLoc = new Pushpin();
            pinLoc.Content = _place.Nombre;
            pinLoc.Location = loc;
            BingMap.Children.Add(pinLoc);



            Pushpin pinUser = new Pushpin();
            pinUser.Content = "Tu localizacion";
            pinUser.Location = Mobile.Instance.Coordenadas.Location;
            BingMap.Children.Add(pinUser);

        }

    }
}