﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CoreLibrary.Controlador;
using CoreLibrary.Datos.Modelo;
using CoreLibrary.Controlador.Tipo;
namespace CoreLibrary.Controlador.Colecciones
{
   public class CoreList<T>:List<T> 
     where T: ControladorBase
    {
       public   T this [string nombre]
       {
           get
           {
               return this.FirstOrDefault(cb => cb.Nombre.Equals(nombre));

           }
        
       }
        /// <summary>
        /// Devuelve una nueva lista con todos los elementos de alta.
        /// </summary>
        /// <returns></returns>
       public CoreList<T> getAlta()
       {
           CoreList<T> _nuevaLista = new CoreList<T>();
           foreach (var item in this)
               if (!item.Baja)
                   _nuevaLista.Add(item);
           return _nuevaLista;
       }
       
    

    }
}
