﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CoreLibrary.Datos.Modelo;
using CoreLibrary.Literales;
namespace CoreLibrary.Controlador.Tipo
{
     
  public  class TBI:TBoolean
    {
         //LOS VALORES SE GUARDAN DE LA FORMA {bool}{Separador]{int}, ejemplo: true|3  
        /// <summary>
        /// Crea una nueva instancia del tipo TBoolean
        /// </summary>
        /// <param name="ec"></param>
        /// <param name="pc"></param>
        /// <param name="valor"></param>
        public   TBI(Elemento ec, Propiedad pc, bool valorBooleano, int valorEntero)
        {
            string valorCadena = valorBooleano.ToString()+LTipoPrimitivo.Separador+valorEntero.ToString();          
            ValoresEP vc = new ValoresEP(ec, pc, valorCadena);
            this.cargar(vc);
        }
        public  TBI(ValoresEP vc)
        {
            this.cargar(vc);
        }
        internal TBI() { }

        public bool ValorBooleano
        {
            get
            {
                //El valor booleano se encuentra en la primera posicion de la cadena.
                //Se carga el tipo dinámico (bool) de la fuente (string) y se devuelve.

                bool boolean = bool.Parse(this.consultarValor(0)); 
                return boolean;
            }
            set
            {
                //Se persiten los cambios en la primera posicion.
                guardarValor(0, value.ToString());      
                ////se guarda el tipo como una cadena (en la segunda posicion), aunque realmente es un int.
                //string valorCadena = value.ToString() + TipoPrimitivo.Separador + ValorEntero.ToString();
                //_valorControlador.Valor = valorCadena;
                //_valorControlador.guardarCambios();

            }
        }

      /// <summary>
      /// Convierte una cadena a bool
      /// 
      /// </summary>
      /// <param name="valor"></param>
      /// <returns></returns>
        public static bool parseBool(string valor)
        {
            return bool.Parse( valor.Split(LTipoPrimitivo.Separador)[0]);
            
        }
      /// <summary>
      /// Convierte una cadena a int
      /// </summary>
      /// <param name="valor"></param>
      /// <returns></returns>
        public static int parseInt(string valor)
        {
            return int.Parse(valor.Split(LTipoPrimitivo.Separador)[1]);
        }

        public int ValorEntero
        {
            get
            {
                //El valor entero se encuentra en la segunda posicion de la cadena.
                //Se carga el tipo dinámico (int) de la fuente (string) y se devuelve.
                int Int =int.Parse(this.consultarValor(1));
                return Int;
            }
            set
            {
                //Se guarda el valor en la primera posicion
                guardarValor(1, value.ToString());   
                //se guarda el tipo como una cadena (en la segunda posicion), aunque realmente es un int.
                //string valorCadena = this.ValorBooleano.ToString() + TipoPrimitivo.Separador + value.ToString();
                //_valorControlador.Valor = valorCadena;
                //_valorControlador.guardarCambios();
            }

        }
    }
}
