﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CoreLibrary.Datos.Modelo;
using CoreLibrary.Datos;
using CoreLibrary.Datos.Modelo;
using CoreLibrary.Literales;
using CoreLibrary.Controlador;

using CoreLibrary.Controlador.Tipo;
namespace CoreLibrary.Controlador.Tipo
{
     
    public class TInt:TipoBase
    {
        public TInt(ValoresEP vc)
        {
            this.cargar(vc);
        }
        public TInt(Elemento ec, Propiedad pc, int valor)
        {
           ValoresEP vep = new ValoresEP(ec, pc, valor);
           this.cargar(vep);
        }
        public int Valor
        {
            get
            {
                //Se carga el tipo dinámico (int) de la fuente (string) y se devuelve.
                int integer = int.Parse(ValoresEP.Valor);
                return integer;
            }
            set
            {
                //se guarda el tipo como un int, aunque realmente es un boolean.
                ValoresEP.Valor = value.ToString();
                ValoresEP.guardarVEP();
            }
        }

        public static TInt Cargar(ValoresEP vep)
        {
            if (vep != null)
                return new TInt(vep);
            return null;
        }
       
    }
}
