using System;
using System.Xml.Serialization;
namespace CoreLibrary.Datos.Modelo

{
	
	/// <summary>
	/// Relaciona propiedades con categorias. 
	/// El unico campo de la clase madre que se cumplimenta es el ID.
	/// </summary>
	public class CategoriaPropiedad: ControladorBase
	{
        public CategoriaPropiedad(Categoria c, Propiedad p)
        {
            this.IdCategoria = c.Id;
            this.IdPropiedad = p.Id;
            GestionDatos.Instance.guardarCategoriaPropiedad(this);

        }
        public CategoriaPropiedad()
        { }
        
        int _idCategoria,_idPropiedad;
        [XmlAttribute]
		public int IdCategoria 
		{
			get {
				return this._idCategoria;
			}
			set {
				_idCategoria = value;
			}
		}
        [XmlAttribute]
		public int IdPropiedad {
			get {
				return this._idPropiedad;
			}
			set {
				_idPropiedad = value;
			}
		}


	}
}

