﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CoreLibrary.Datos.Modelo
{
    
   public  class Direccion:ControladorBase
    {
        public Direccion()
        {
            this.Calle = string.Empty;
            this.CodPostal = string.Empty;
            this.Isla = string.Empty;
            this.Latitud = string.Empty;
            this.Longitud = string.Empty;
            this.MasInformacion= string.Empty;
            this.Municipio= string.Empty;
            this.Numero= string.Empty;
            this.Piso= string.Empty;
            this.Provincia= string.Empty;
            this.Zona= string.Empty;
            
        }
        public int Size
        {
            get
            {
                return base.Size + 16 +(this.Calle.Length+CodPostal.Length+Isla.Length+Latitud.Length+Longitud.Length+
                    MasInformacion.Length+Municipio.Length+Numero.Length+Piso.Length+Provincia.Length+Zona.Length)*8;
            }
        }
        private int _idElemento;

        public int IdElemento
        {
            get { return _idElemento; }
            set { _idElemento = value; }
        }
       private string _codPostal, _calle, _numero, _masInformacion, _provincia,
           _municipio, _zona, _isla, _piso, _latitud, _longitud;

       public string Longitud
       {
           get { return _longitud; }
           set { _longitud = value; }
       }

       public string Latitud
       {
           get { return _latitud; }
           set { _latitud = value; }
       }

       public string Piso
       {
           get { return _piso; }
           set { _piso = value; }
       }

       public string Isla
       {
           get { return _isla; }
           set { _isla = value; }
       }

       public string Zona
       {
           get { return _zona; }
           set { _zona = value; }
       }

       public string Municipio
       {
           get { return _municipio; }
           set { _municipio = value; }
       }

       public string Provincia
       {
           get { return _provincia; }
           set { _provincia = value; }
       }

       public string MasInformacion
       {
           get { return _masInformacion; }
           set { _masInformacion = value; }
       }

       public string Numero
       {
           get { return _numero; }
           set { _numero = value; }
       }

       public string Calle
       {
           get { return _calle; }
           set { _calle = value; }
       }

       public string CodPostal
       {
           get { return _codPostal; }
           set { _codPostal = value; }
       }

       public void guardarDireccion()
       {

           GestionDatos.Instance.modificarDireccion(this);
       }
    }
}
