using System;
using System.Xml.Serialization;
namespace CoreLibrary.Datos.Modelo
{
	
	/// <summary>
	/// Clase que relaciona la propiedad con el idioma
	/// El unico campo de la clase madre que se cumplimenta es el ID.
    /// Esta clase es inaccesible para el usuario de la API
	/// </summary>
	public class TraduccionPropiedad:ControladorBase
	{

       
         [XmlIgnore]
        public int Size
        {
            get
            {
                return base.Size + 16+this.Traduccion.Length*8;
            }
        }
		int _idPropiedad, _idIdioma;
		string _traduccion;
        [XmlAttribute]
		public int IdIdioma {
			get {
				return this._idIdioma;
			}
			set {
				_idIdioma = value;
			}
		}
        [XmlAttribute]
		public int IdPropiedad {
			get {
				return this._idPropiedad;
			}
			set {
				_idPropiedad = value;
			}
		}
        [XmlAttribute]
		public string Traduccion {
			get {
				return this._traduccion;
			}
			set {
				_traduccion = value;
			}
		}
	}
}

