using System;
using System.Collections.Generic;
using System.Linq;

using MonoTouch.Foundation;
using MonoTouch.UIKit;
using MonoTouch.Dialog;
using MonoTouch.ObjCRuntime;
using System.Drawing;
using CanaryGuideMT.Celda;

using GuideLibrary;

using CoreLibrary;
namespace CanaryGuideMT
{
	public partial class RootLugarDeInteres : RootElement
	{		
			
	 
		
		public ViewControllerFicha _ficha;
		private LugarDeInteres ldi;
		public RootLugarDeInteres (LugarDeInteres ldi) : base (null)
		{
			this.ldi = ldi;		
			

			double _lat = double.Parse(ldi.Latitud);
			double _lon = double.Parse(ldi.Longitud);
			
			
			
			_ficha=	new ViewControllerFicha(ldi.Nombre,ldi.Descripcion[GestionGuide.Instance.Cod], 
			                                UIImage.FromFile(ldi.ImagenURL),_lat,_lon);                 				
			                 
		}
	
		
		public override void Selected (DialogViewController dvc, UITableView tableView, NSIndexPath path)
		{
		
				//base.Selected (dvc, tableView, path);
				dvc.NavigationController.PushViewController(_ficha,true);
			
		}
		
		public override UITableViewCell GetCell (UITableView tv)
		{
			var cell =(CustomCell) tv.DequeueReusableCell("CellLugarDeInteres");
			if(cell==null)
				cell = (CustomCell)Runtime.GetNSObject(NSBundle.MainBundle.LoadNib("CustomCell",new CustomCell(),null).ValueAt(0));
			
			cell.addDataToCell(UIImage.FromFile(ldi.ImagenURL),ldi.Nombre);
			cell.Accessory= UITableViewCellAccessory.DisclosureIndicator;
			return cell;
		}
		
	}
}
